Bug 9857 - Did you mean? from authorities uses incorrect punctuation
Summary: Did you mean? from authorities uses incorrect punctuation
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Kyle M Hall
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-20 01:01 UTC by Jared Camins-Esakov
Modified: 2017-10-06 06:07 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 9857: Did you mean? uses wrong punctuation in search links (2.21 KB, patch)
2015-12-04 00:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 9857: Did you mean? uses wrong punctuation in search links (2.35 KB, patch)
2015-12-08 12:35 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 9857: Did you mean? uses wrong punctuation in search links (2.43 KB, patch)
2015-12-08 16:06 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9857 - Follow-up - Fix for searches with su= or su: (1.72 KB, patch)
2017-08-19 08:50 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9857: Did you mean? uses wrong punctuation in search links (2.49 KB, patch)
2017-08-22 12:11 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9857 - Follow-up - Fix for searches with su= or su: (1.79 KB, patch)
2017-08-22 12:11 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 9857: Did you mean? uses wrong punctuation in search links (2.54 KB, patch)
2017-09-01 12:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9857 - Follow-up - Fix for searches with su= or su: (1.83 KB, patch)
2017-09-01 12:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9857: Fix failing test (1.03 KB, patch)
2017-09-01 19:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9857: Fix failing tests (2.58 KB, patch)
2017-09-01 19:22 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2013-03-20 01:01:24 UTC
The Did you mean? from authorities creates links that use = rather than : for indexes.
Comment 1 Katrin Fischer 2015-11-10 11:54:17 UTC
For example:
- Turn on the AuthorityFile plugin for the OPAC in the "Did you mean" section of the administration module
- Search a term in your OPAC where some authorities exist for it - like a name or a place. My example search is: Deutschland or Germany
- Verify that there are suggestions displayed on top of the result list
- Verify that the link created is something like:
/cgi-bin/koha/opac-search.pl?q=an=14084
Comment 2 Katrin Fischer 2015-12-04 00:28:05 UTC Comment hidden (obsolete)
Comment 3 Frédéric Demians 2015-12-08 12:35:02 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-12-08 16:06:22 UTC
Created attachment 45505 [details] [review]
Bug 9857: Did you mean? uses wrong punctuation in search links

The link changes the search links generated by the plugins
from an=authid to an:authid, as suggested by Jared on the
bug report.

- Turn on the AuthorityFile und ExplodedTerms  plugins
  for the OPAC from the "Did you mean" section of the
  administration module
- Search a term in your OPAC where one or several
  authorities exist.
  A last name or a place name might work well.
- Verify that there are suggestions displayed on top of
  your result list.
- Verify that the link created is something like:
  /cgi-bin/koha/opac-search.pl?q=an=14084
- Apply patch.
- Verify the link has changed a little and still works
  correctly:
  /cgi-bin/koha/opac-search.pl?q=an:14084

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Héctor Eduardo Castro Avalos 2015-12-09 01:08:52 UTC
Hi all

I did a search of this type su:country music

the search result still presented with /cgi-bin/koha/opac-search.pl?q=su-na=country music

I think IMHO this needs a follow-up

Regards
Comment 6 Kyle M Hall 2015-12-11 16:19:26 UTC
Can someone verify/dispute Héctor's comment?
Comment 7 Katrin Fischer 2017-08-19 08:50:15 UTC
Created attachment 66218 [details] [review]
Bug 9857 - Follow-up - Fix for searches with su= or su:

When the initial search is su=.../su:... the links was
not constructed correctly. With this change, it should
be the case.
Comment 8 Katrin Fischer 2017-08-19 08:51:06 UTC
Follow-up posted - back to Needs Sign-off.
Comment 9 Josef Moravec 2017-08-22 12:11:40 UTC
Created attachment 66325 [details] [review]
[SIGNED-OFF] Bug 9857: Did you mean? uses wrong punctuation in search links

The link changes the search links generated by the plugins
from an=authid to an:authid, as suggested by Jared on the
bug report.

- Turn on the AuthorityFile und ExplodedTerms  plugins
  for the OPAC from the "Did you mean" section of the
  administration module
- Search a term in your OPAC where one or several
  authorities exist.
  A last name or a place name might work well.
- Verify that there are suggestions displayed on top of
  your result list.
- Verify that the link created is something like:
  /cgi-bin/koha/opac-search.pl?q=an=14084
- Apply patch.
- Verify the link has changed a little and still works
  correctly:
  /cgi-bin/koha/opac-search.pl?q=an:14084

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 10 Josef Moravec 2017-08-22 12:11:43 UTC
Created attachment 66326 [details] [review]
[SIGNED-OFF] Bug 9857 - Follow-up - Fix for searches with su= or su:

When the initial search is su=.../su:... the links was
not constructed correctly. With this change, it should
be the case.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 11 Kyle M Hall 2017-09-01 12:33:16 UTC
Created attachment 66717 [details] [review]
Bug 9857: Did you mean? uses wrong punctuation in search links

The link changes the search links generated by the plugins
from an=authid to an:authid, as suggested by Jared on the
bug report.

- Turn on the AuthorityFile und ExplodedTerms  plugins
  for the OPAC from the "Did you mean" section of the
  administration module
- Search a term in your OPAC where one or several
  authorities exist.
  A last name or a place name might work well.
- Verify that there are suggestions displayed on top of
  your result list.
- Verify that the link created is something like:
  /cgi-bin/koha/opac-search.pl?q=an=14084
- Apply patch.
- Verify the link has changed a little and still works
  correctly:
  /cgi-bin/koha/opac-search.pl?q=an:14084

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 12 Kyle M Hall 2017-09-01 12:33:23 UTC
Created attachment 66718 [details] [review]
Bug 9857 - Follow-up - Fix for searches with su= or su:

When the initial search is su=.../su:... the links was
not constructed correctly. With this change, it should
be the case.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 13 Jonathan Druart 2017-09-01 16:09:57 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 14 Jonathan Druart 2017-09-01 19:21:13 UTC
Created attachment 66780 [details] [review]
Bug 9857: Fix failing test

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 15 Jonathan Druart 2017-09-01 19:22:40 UTC
Created attachment 66781 [details] [review]
Bug 9857: Fix failing tests

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 16 Jonathan Druart 2017-09-01 20:19:29 UTC
(In reply to Jonathan Druart from comment #15)
> Created attachment 66781 [details] [review] [review]
> Bug 9857: Fix failing tests
> 
> Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Patch pushed to master!
Comment 17 Fridolin SOMERS 2017-10-03 09:14:56 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 18 Katrin Fischer 2017-10-06 06:07:00 UTC
These patches have been pushed to 16.11.x and will be in 16.11.13.